<?php  include_once('../../config/db.php');  //include_once('../config/check.php'); 






$query = "   SELECT * FROM ( 
SELECT a.*,b.transtype,b.memo,b.date bdate,c.name cname,d.code dcode,e.name ename  FROM  acctransactionsdetails a
LEFT JOIN acctransactions b ON a.transid=b.id
LEFT JOIN admbranch c ON a.branch=c.id
LEFT JOIN acccurrency d ON a.currency=d.id
LEFT JOIN adtransactiontype e ON b.transtype=e.id
  where b.transtype=3 OR b.transtype=4  
  )z  WHERE z.transmove=5     ";



$statement = $conn->prepare($query);
$statement->execute();
$number_filter_row = $statement->rowCount();

$result = $statement->fetchAll();

$data = array();



foreach($result as $row)
{
  
   $edit = ' <form method="post" action="#" >  <button type="submit" style="background:none;border:none;padding:0px; outline:none; " name="edit" value="' . $row["id"] . '"   "> <i class="fa fa-edit" style="color:green;" ></i>  </button></form> ' ; 
   $delete = ' <form method="post" action="#" >  <button type="submit" style="background:none;border:none;padding:0px; font-color:red; outline:none; " name="delete" value="' . $row["id"] . '"   "> <i class="fa fa-trash" style="color:red;" ></i>  </button></form> ' ; 
      
   
  
   $sub_array = array();
  
   
   $sub_array[] =  $delete ;
   $sub_array[] =  $edit ;
   $sub_array[] =  $row['cname'];
   $sub_array[] =  $row['bdate'];
   $sub_array[] =  $row['dcode'];
   $sub_array[] =  $row['memo'];
   $sub_array[] =  $row['itemtotal'] ;
   $sub_array[] =  $row['ename'] ;


//    $sub_array[] = $row['email'];
//    $sub_array[] = $row['bname'];
//    $sub_array[] = $row['pin'];
//    $sub_array[] = $row['vat'];
//    $sub_array[] = $row['address'];
//    $sub_array[] = $row['location'];
//    $sub_array[] = $row['cname'];
  
   $data[] = $sub_array;

}

function count_all_data($conn,$query)
{
 $statement = $conn->prepare($query);
 $statement->execute();
 return $statement->rowCount();
}

$output = array(
                       "draw"       =>  $number_filter_row ,
                        "recordsTotal"   =>  count_all_data($conn,$query),
                        "recordsFiltered"  =>  $number_filter_row,
                        "data"       =>  $data
);

echo json_encode($output);

?>




